﻿@model List<User>

@{
    ViewBag.Title = "Users";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<p>
    <a asp-action="Create" class="btn btn-primary mb-3">Create User</a>
</p>

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Name</th>
            <th scope="col">Birthday</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach (var user in Model)
        {
            <tr>
                <td>@user.Nickname</td>
                <td>@user.Birthdate.ToString("dd/MM/yyyy")</td>
                <td>
                    <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-clientId="@user.Id">Edit</a>
                    <button type="button" class="btn btn-sm btn-danger" onclick="deleteUser('@user.Id')">Delete</button>
                    <form id="deleteForm_@user.Id" asp-action="Delete" asp-route-id="@user.Id" method="post" style="display:none;">
                    </form>
                </td>
            </tr>
        }
        </tbody>
    </table>
</div>

@section Scripts {
    <script>
    function deleteUser(userId) {
        if (confirm('Are you sure you want to delete this user?')) {
            document.getElementById('deleteForm_' + userId).submit();
        }
    }
</script>
}